/* Copyright (c) 1997, MpegTV LLC */
#ifndef _state_api_h
#define _state_api_h
#ifndef lint
static const char rcsid_state_api_h[] = "$Header: /net/hopkins/var/home/tristan/mpeg/dec/RCS/state_api.h,v 1.7 1998/05/29 22:17:16 tristan Exp $";
#endif

/*
 * Disclaimer of Warranty
 *
 * These software programs are available to the user without any license fee or
 * royalty on an "as is" basis.  Copyright-holder disclaims
 * any and all warranties, whether express, implied, or statuary, including any
 * implied warranties or merchantability or of fitness for a particular
 * purpose.  In no event shall the copyright-holder be liable for any
 * incidental, punitive, or consequential damages of any kind whatsoever
 * arising from the use of these programs.
 *
 * This disclaimer of warranty extends to the user of these programs and user's
 * customers, employees, agents, transferees, successors, and assigns.
 *
 */

/*--------------------------------------------------------------------------+
| Configuration flags														|
+--------------------------------------------------------------------------*/

/*--------------------------------------------------------------------------+
| Macros:																	|
+--------------------------------------------------------------------------*/
/*
 * If MTVP_STATE_FLAG_NO_ECHO is or'ed to the MTVP_STATE in a MTVP_COMMAND_STATE command,
 * no MTVP_NOTIFY_STATE message corresponding to this state change
 * is sent back.
 */
#define MTVP_STATE_FLAG_NO_ECHO	0x80000000

/*--------------------------------------------------------------------------+
| Data types:																|
+--------------------------------------------------------------------------*/
/* data type for player's state */
typedef enum {
	MTVP_STATE_UNKNOWN = -1,	/* a value different from any legal value - this is sometimes useful */
	MTVP_STATE_PAUSED = 0,		/* paused */
	MTVP_STATE_PLAYING = 1,		/* playing */
	MTVP_STATE_PAUSED_AT_END = 2	/* paused because end of stream was reached */
} MTVP_STATE;


#endif /* _state_api_h */
